/*
 *  GNOME Logs - View and search logs
 *  Copyright (C) 2013  Red Hat, Inc.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GL_EVENT_VIEW_DETAIL_H_
#define GL_EVENT_VIEW_DETAIL_H_

#include <gtk/gtk.h>

G_BEGIN_DECLS

#include "gl-journal.h"
#include "gl-util.h"

typedef struct
{
    /*< private >*/
    GtkBin parent_instance;
} GlEventViewDetail;

typedef struct
{
    /*< private >*/
    GtkBinClass parent_class;
} GlEventViewDetailClass;

#define GL_TYPE_EVENT_VIEW_DETAIL (gl_event_view_detail_get_type ())
#define GL_EVENT_VIEW_DETAIL(object) (G_TYPE_CHECK_INSTANCE_CAST ((object), GL_TYPE_EVENT_VIEW_DETAIL, GlEventViewDetail))

GType gl_event_view_detail_get_type (void);
GtkWidget * gl_event_view_detail_new (GlJournalResult *result, GlUtilClockFormat clock_format);

G_END_DECLS

#endif /* GL_EVENT_VIEW_DETAIL_H_ */
